Jump to content

Mohave OS


Rabid Bunny
 Share

Recommended Posts

I'm not sure if I have to put this somewhere just for Macs. but i just upgraded to Mohave and i got a pop up saying my Express Scribe would not work with future versions, ( I think, it went away too fast).Will i be able to get updates to my software if needed?

Thanks, Sara

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...